PUTWCHAR(3)

NAME
putwchar - write a wide character to standard output

SYNOPSIS
#include <wchar.h>

wint_t putwchar(wchar_t wc);

DESCRIPTION
The putwchar() function is the wide-character equivalent of the putchar(3) function. It writes the wide character wc to stdout. If ferror(stdout) becomes true, it returns WEOF. If a wide character conversion error occurs, it sets errno to EILSEQ and returns WEOF. Otherwise it returns wc.

For a nonlocking counterpart, see unlocked_stdio(3).

RETURN VALUE
The putwchar() function returns wc if no error occurred, or WEOF to indicate an error.

CONFORMING TO
C99.

NOTES
The behavior of putwchar() depends on the LC_CTYPE category of the current locale.

It is reasonable to expect that putwchar() will actually write the multibyte sequence corresponding to the wide character wc.

SEE ALSO
fputwc(3), unlocked_stdio(3)

COLOPHON
This page is part of release 3.51 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.